Core-ify the CleanChanges extension's intent (to filter and declutter RecentChanges)
Open, NormalPublic

Description

As per @Eloquence's comments in T55541#575062:

1) The extension itself clearly still needs UX love. The filter UI is already
   cluttered, labels like "Users (Sep: |)" and confusing icon choices (magnify
   icon to expand links) don't help.

2) RecentChanges is a core feature. New extensions/features need to tie into
   it all the time. Maintaining an extension for some subset of wikis that
   choose it and ensuring its compatibility with all future code strikes me as
   needless complication of our core UI.

In other words, if these improvements are worthwhile (and I'm not disputing
they are! Credit to Niklas and the translatewiki.net folks for fixing issues
in their workflow), I would argue that they should be made in MediaWiki core,
and consistently applied across all wikis, ideally after some more UX
attention.

Creating here without specific judgement.

Details

Reference
bz54203
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz54203.
bzimport added a subscriber: Unknown Object (MLST).

The first of these features (show/ignore edits in languages other than <X>) could reasonably be added in the future to the new Recent Changes Filters system that we've built, Edit-Review-Improvements-RC-Page.

The second one (collapse user links on edits until interacted with) is something I think would be lovely to consider as part of wider work to redesign RC entirely (there's a whole bunch of issues with the current layout).

Nemo_bis renamed this task from Core-ify the CleanChanges extension's intent (to filter RecentChanges when it is busy) to Core-ify the CleanChanges extension's intent (to filter and declutter RecentChanges).Mar 20 2017, 7:52 AM

Yes, but I'm not sure about the "core-ify" part of the summary. It should be possible for extensions to alter Special:RecentChanges and derivatives, as we're unlikely to ever find a single solution that makes everyone happy. Cf. T159795: Port Translate to new RC Filters system as an example of something which ought to be a code simplification.

Jdforrester-WMF closed this task as Resolved.Feb 9 2018, 7:24 PM

With T159795: Port Translate to new RC Filters system done, I think this can be declared complete.

Nikerabbit reopened this task as Open.Feb 10 2018, 11:42 AM

I was actually planning to propose to sunset CleanChanges by integrating its relevant features into core to reduce our ongoing maintenance burden.

The most important thing are the user filter and the language filter.
Secondary thing is to reduce the link clutter, but in translatewiki.net that functionality is now done by a gadget.

Arrbee edited projects, added Wikimedia-Hackathon-2018; removed Language-Team.

FYI: T167224: Implement 'User' filters and filter menu in the new UI will be worked on in the context of GSoC

We had a language team triage meeting today and I have expressed that I would like to work on this in the future and @Etonkovidova informed us that user filter will be done as part of GSoC.

@Petar.petkovic the scope of GSoC project was somewhat changed to Category filter instead of User filter.

@Petar.petkovic the scope of GSoC project was somewhat changed to Category filter instead of User filter.

Ok, that leaves User filter for me to implement.

Ok, that leaves User filter for me to implement.

Well, not quite. There are social issues and we don't think it should be done at this point. We can explain more at the hackathon. CC @Mooeypoo

Yeah, please do not implement user filter. In the current GSoC project that is working on this, we pivoted to Categories after discussions with the Anti Harassment team and product managers.

The user filter requires some tweaks and extra features before it is implemented.

This work was planned to reduce future maintenance overhead for Language by sunsetting CleanChanges. Could you add Language team to this discussion?

Nikerabbit moved this task from Backlog to Needing on the User-Nikerabbit board.Jun 20 2018, 2:25 PM
Petar.petkovic removed Petar.petkovic as the assignee of this task.
Petar.petkovic added a subscriber: Petar.petkovic.
Restricted Application added a project: Growth-Team. · View Herald TranscriptSun, Oct 7, 9:15 PM
SBisson moved this task from Inbox to External on the Growth-Team board.Fri, Oct 12, 7:18 PM